Module java.desktop
Package javax.swing.plaf.basic

# Class BasicPopupMenuUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PopupMenuUI
javax.swing.plaf.basic.BasicPopupMenuUI

Direct Known Subclasses:
  `SynthPopupMenuUI`

public class BasicPopupMenuUI extends PopupMenuUI
A Windows L&F implementation of PopupMenuUI. This implementation is a "combined" view/controller.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected JPopupMenu`
  `popupMenu`
  The instance of `JPopupMenu`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicPopupMenuUI()`
  Constructs a new instance of `BasicPopupMenuUI`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComponentUI`
  `createUI(JComponent x)`
  Constructs a new instance of `BasicPopupMenuUI`.
  `void`
  `installDefaults()`
  Installs default properties.
  `protected void`
  `installKeyboardActions()`
  Registers keyboard actions.
  `protected void`
  `installListeners()`
  Registers listeners.
  `protected void`
  `uninstallDefaults()`
  Uninstalls default properties.
  `protected void`
  `uninstallKeyboardActions()`
  Unregisters keyboard actions.
  `protected void`
  `uninstallListeners()`
  Unregisters listeners.

  ### Methods declared in class javax.swing.plaf.PopupMenuUI

  `getPopup, isPopupTrigger`

  ### Methods declared in class javax.swing.plaf.ComponentUI

  `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### popupMenu

    protected JPopupMenu popupMenu
    The instance of `JPopupMenu`.

- ## Constructor Details

  - ### BasicPopupMenuUI

    public BasicPopupMenuUI()
    Constructs a new instance of `BasicPopupMenuUI`.

- ## Method Details

  - ### createUI

    public static ComponentUI createUI(JComponent x)
    Constructs a new instance of `BasicPopupMenuUI`.
    Parameters:
      `x` - a component
    Returns:
      a new instance of `BasicPopupMenuUI`

  - ### installDefaults

    public void installDefaults()
    Installs default properties.

  - ### installListeners

    protected void installListeners()
    Registers listeners.

  - ### installKeyboardActions

    protected void installKeyboardActions()
    Registers keyboard actions.

  - ### uninstallDefaults

    protected void uninstallDefaults()
    Uninstalls default properties.

  - ### uninstallListeners

    protected void uninstallListeners()
    Unregisters listeners.

  - ### uninstallKeyboardActions

    protected void uninstallKeyboardActions()
    Unregisters keyboard actions.